from parallels.core.utils.entity import Entity


class GeneralPermission(Entity):
    def __init__(self, general_permission_id, code):
        self._general_permission_id = general_permission_id
        self._code = code

    @property
    def general_permission_id(self):
        """
        :rtype: str | unicode
        """
        return self._general_permission_id

    @property
    def code(self):
        """
        :rtype: str | unicode
        """
        return self._code
